#include <stdlib.h>
#include <stdio.h>
#include "spot.h"

//const int MAX_SPOTS = 1024;
#define MAX_SPOTS 1024
static spot_t *spots[MAX_SPOTS];
static int numSpots = 0;

void loadSpots(char *filename) {
  FILE *fp = fopen(filename, "r");
  if (!fp) {
    fprintf(stderr, "spots: cannot open file %s\n", filename);
    return;
  }
  fprintf(stderr, "\nOpened spots file %s\n", filename);
  while (!feof(fp)) {
    float x, y, z, az, el;
    int walk;
    spot_t *spot = NULL;
    fscanf(fp, "%f %f %f %f %f %d", &x, &y, &z, &az, &el, &walk);
    spot = (spot_t *) malloc(sizeof(spot_t));
    spot->pos[0] = x;
    spot->pos[1] = y;
    spot->pos[2] = z;
    spot->az = az;
    spot->el = el;
    spot->walk = walk;
    spots[numSpots] = spot;
    fprintf(stderr, "spot: %f %f %f %f %f %d\n", x, y, z, az, el, walk);
    numSpots++;
  }
  fprintf(stderr, "\n");
}

int getNumSpots() {
  return numSpots;
}

spot_t *getSpot(int which) {
  if (which < 0 || which >= numSpots) return NULL;
  return spots[which];
}
